/******************************************************************************
* File Name: filter.h
*  Version 2.1
*
* Description:
*  This file contains defines and function prototype for filtering sensor output 
*
* Note:
*
********************************************************************************
* Copyright (2012), Cypress Semiconductor Corporation. All Rights Reserved.
********************************************************************************
* This software is owned by Cypress Semiconductor Corporation (Cypress)
* and is protected by and subject to worldwide patent protection (United
* States and foreign), United States copyright laws and international treaty
* provisions. Cypress hereby grants to licensee a personal, non-exclusive,
* non-transferable license to copy, use, modify, create derivative works of,
* and compile the Cypress Source Code and derivative works for the sole
* purpose of creating custom software in support of licensee product to be
* used only in conjunction with a Cypress integrated circuit as specified in
* the applicable agreement. Any reproduction, modification, translation,
* compilation, or representation of this software except as specified above 
* is prohibited without the express written permission of Cypress.
*
* Disclaimer: CYPRESS MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH 
* REGARD TO THIS MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
* Cypress reserves the right to make changes without further notice to the 
* materials described herein. Cypress does not assume any liability arising out 
* of the application or use of any product or circuit described herein. Cypress 
* does not authorize its products for use as critical components in life-support 
* systems where a malfunction or failure may reasonably be expected to result in 
* significant injury to the user. The inclusion of Cypress' product in a life-
* support systems application implies that the manufacturer assumes all risk of 
* such use and in doing so indemnifies Cypress against all charges. 
*
* Use of this Software may be limited by and subject to the applicable Cypress
* software license agreement. 
*******************************************************************************/
#if !defined(FILTER_H)
#define FILTER_H

#include <device.h>

/* Used to test flag condition if input data to the filter needs to be filtered 
 * out or not */
#define TRUE                     1
#define FALSE                    0

/* Filter reset value for sensors, filter for sensor gets reset if the change in
   signal from sensor is above or below this value(1 Degree C), changing these 
   value will cause change in filter response also */
#define FILTER_RESET                    1

/* Function prototype for IIR filter */
float FilterSignal(uint8 firstSampleFlag, int32 ADCSample,  float storedFilteredValue, uint16 filterCoeff);

#endif /* FILTER_H */

/* [] END OF FILE */
